MISSINdevelopersLog in

API reference

CreateChannel

Create a channel (UTM source) with a name and a channel type. Write access, channels toolset, MCP tool create_channel.

Access: Write

Variables

VariableTypeRequiredAcceptsDescription
bodyJSON!yesObject, fields below

Input types

body

FieldTypeRequiredAcceptsDescription
namestringyes1 to 120 characters
channel_type_idstring (uuid)yes
display_namestring or nullnoat most 120 characters
utm_sourcestring or nullnoat most 120 characters
utm_mediumstring or nullnoat most 120 characters
utm_contentstring or nullnoat most 120 characters
statusstringnoOne of ACTIVE, DISABLED, DROPPED
media_kindstring or nullnoOne of IMAGE_POST, SHORT_VIDEO, LONG_VIDEO, STORY, LIVE, TEXT_POST, ADVERTISEMENT

Call it

bash
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"CreateChannel","variables":{"body":{"name":"Example","channel_type_id":"00000000-0000-0000-0000-000000000000"}},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"c03913d5440eaa3ebffc95172b56910b07c2e88897d32354e78a0f2ae96a69cc"}}}'

Document

graphql
mutation CreateChannel($body: JSON!) { __typename createChannel(input: {body: $body}) { __typename channel { __typename channelSlug id name rowId status } channelId channelSlug userErrors { __typename code field message } } }

For AI agents: a markdown index of this site is at /llms.txt, and every page is available as markdown by adding .md to its URL.